Bug 10075 - Ccache does not honor -fdiagnostics-color gcc option
Ccache does not honor -fdiagnostics-color gcc option
Status: CLOSED FIXED
Product: ccache
Classification: Unclassified
Component: ccache
3.1.9
All Linux
: P5 normal
: 3.2
Assigned To: Joel Rosdahl
Joel Rosdahl
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 08:27 UTC by cghislai
Modified: 2014-11-17 19:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cghislai 2013-08-09 08:27:55 UTC
Hi,

GCC has an option now to color some of the output (http://gcc.gnu.org/onlinedocs/gcc/Language-Independent-Options.html)
Using ccache, it seems the color information is lost. It would be nice to handle this in the cache as it makes diagnostic much much faster.
Comment 1 Joel Rosdahl 2014-08-09 12:02:30 UTC
Fixed in d875edef19d0ab157b2f6408330bb1392fd38f60 on the master branch.
Comment 2 Joel Rosdahl 2014-11-17 19:24:16 UTC
Included in v3.2.